<?php
namespace WpBookingProFrontend\app\views\servicelocator;
use WpBookingPro\Factory;
use WpBookingPro\Mvc\Model\Model;
use WpBookingPro\Mvc\View\View;

class ServicelocatorView extends View
{
    public function display($tpl){
        $modelServices=Model::getInstance('services');
        $this->list=$modelServices->get_list_service_loc();

        $modelCountries = Model::getInstance('countries');
        $this->list_countries = $modelCountries->getList_location();

        $modelEmployees=Model::getInstance('employees');
        $this->list_employees=$modelEmployees->getList();

        $modelCategories=Model::getInstance('categories');
        $this->list_categories=$modelCategories->getList();
        $modelLocations=Model::getInstance('locations');
        $this->list_locations=$modelLocations->getList();

        $modelVendors = Model::getInstance('vendors');
        $this->list_vendor = $modelVendors->getListVendor();



        return parent::display($tpl);

    }
}